Give permissions on spesific objects only
Status: New   

Priority: Normal   

Assignee:    
Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The current roles with filter, only allows for filtering of the object itself - which the permissions is granted.

E.G Parameters cannot be filtered - so either you can edit parameters or you can't (site wide)

I'm looking for a way to limit editing parameters to a set of hostgroup / hosts only - but this doesn't seem to be possible. I can set up

regular host permissions, like create/destroy/power on etc. on spesific hosts, but not edit parameters for the same host (only)

History

#1 - 03/03/2016 10:23 AM - Marek Hulán

- Category set to Users, Roles and Permissions

- Status changed from New to Need more information

You should be able to define limited filters for parameters (see http://www.theforeman.org/manuals/1.10/index.html#4.1.2RolesandPermissions for

more details). Or is the problem that you can't use parameter attributes like host and host group as part limiting query?

#2 - 03/04/2016 04:30 AM - Jon Skarpeteig

The problem is the other way around. I cannot grant permissions to modify parameters for a subset of hosts/hostgroups only.

#3 - 03/07/2016 02:41 AM - Marek Hulán

- Status changed from Need more information to New

It seems neither of lookup keys or parameters allow these kind of filters.
